/*
 * Class ACTIVE_INTEGER_INTERVAL
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_582 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_582 [] = {0xFF01,1551,581,0xFFFF};
static const EIF_TYPE_INDEX egt_2_582 [] = {0xFF01,581,0xFFFF};
static const EIF_TYPE_INDEX egt_3_582 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_582 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_582 [] = {0xFF01,581,0xFFFF};
static const EIF_TYPE_INDEX egt_6_582 [] = {0xFF01,581,0xFFFF};
static const EIF_TYPE_INDEX egt_7_582 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_582 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_582 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_582 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_582 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_582 [] = {0xFF01,581,0xFFFF};
static const EIF_TYPE_INDEX egt_13_582 [] = {0xFF01,1655,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_582 [] = {869,0xFFFF};
static const EIF_TYPE_INDEX egt_15_582 [] = {0xFF01,1662,869,0xFFFF};
static const EIF_TYPE_INDEX egt_16_582 [] = {869,0xFFFF};
static const EIF_TYPE_INDEX egt_17_582 [] = {869,0xFFFF};
static const EIF_TYPE_INDEX egt_18_582 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_19_582 [] = {0xFF01,1669,869,0xFFFF};
static const EIF_TYPE_INDEX egt_20_582 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_21_582 [] = {0xFF01,581,0xFFFF};
static const EIF_TYPE_INDEX egt_22_582 [] = {0xFF01,1584,0xFF01,0xFFF9,0,840,0xFFFF};
static const EIF_TYPE_INDEX egt_23_582 [] = {1584,0xFF01,0xFFF9,0,840,0xFFFF};
static const EIF_TYPE_INDEX egt_24_582 [] = {869,0xFFFF};


static const struct desc_info desc_582[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_582), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_582), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11049, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_582), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11069, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_582), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_582), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_582), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_582), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_582), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_582), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_582), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_582), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_582), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x048B /*581*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_582), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11043, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9205, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8609, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9054, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8611, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8612, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_582), 11062, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_582), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9359, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11046, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9397, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9400, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9401, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9396, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9398, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11057, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11058, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11051, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11052, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9015, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9058, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11065, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9016, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11032, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11059, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_582), 11011, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_582), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11041, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11042, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11044, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11033, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11033, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_582), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11041, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_582), 11048, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11044, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11045, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11047, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11047, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11035, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11064, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11037, 5},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11038, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11039, 6},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11040, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11050, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11067, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11068, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_582), 11060, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_582), 11061, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_582), 11024, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11025, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11026, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11027, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11028, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11029, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11030, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11031, 12},
	{EIF_GENERIC(NULL), 11066, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_582), 11070, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11071, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_582), 11072, 0},
	{EIF_GENERIC(egt_24_582), -1, 0xFFFFFFFF},
};
void Init582(void)
{
	IDSC(desc_582, 0, 581);
	IDSC(desc_582 + 1, 1, 581);
	IDSC(desc_582 + 32, 1134, 581);
	IDSC(desc_582 + 41, 878, 581);
	IDSC(desc_582 + 42, 1395, 581);
	IDSC(desc_582 + 44, 586, 581);
	IDSC(desc_582 + 50, 1135, 581);
	IDSC(desc_582 + 59, 1088, 581);
	IDSC(desc_582 + 61, 916, 581);
	IDSC(desc_582 + 67, 1570, 581);
	IDSC(desc_582 + 70, 778, 581);
	IDSC(desc_582 + 71, 554, 581);
	IDSC(desc_582 + 72, 1317, 581);
	IDSC(desc_582 + 73, 1494, 581);
	IDSC(desc_582 + 93, 1337, 581);
	IDSC(desc_582 + 96, 794, 581);
}


#ifdef __cplusplus
}
#endif
